Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157454 - CAN-2005-1263 Linux kernel ELF core dump privilege elevation
Summary: CAN-2005-1263 Linux kernel ELF core dump privilege elevation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-11 18:35 UTC by Mark J. Cox
Modified: 2015-01-04 22:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 18:23:42 UTC


Attachments (Terms of Use)
Proposed patch from Greg KH (not backported) (deleted)
2005-05-11 18:35 UTC, Mark J. Cox
no flags Details | Diff

Description Mark J. Cox 2005-05-11 18:35:42 UTC
+++ This bug was initially created as a clone of Bug #157450 +++

"A locally exploitable flaw has been found in the Linux ELF binary format
loader's core dump  function  that  allows  local  users  to  gain  root
privileges and also execute arbitrary code at kernel privilege level."

For the full description see
http://www.securityfocus.com/archive/1/397966/2005-05-08/2005-05-14/0

Comment 1 Mark J. Cox 2005-05-11 18:35:42 UTC
Created attachment 114255 [details]
Proposed patch from Greg KH (not backported)

Comment 2 Dave Jones 2005-05-17 23:56:12 UTC
rebased to 2.6.11.10 for latest update, will go live soon.


Comment 5 Mark J. Cox 2005-05-23 18:23:42 UTC
Fixed by FEDORA-2005-392



Note You need to log in before you can comment on or make changes to this bug.